Bug 856715 - License tag should include LGPLv2+
License tag should include LGPLv2+
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: liblockfile (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Runge
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-12 11:59 EDT by Karel Klíč
Modified: 2013-03-03 18:03 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-20 16:40:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Klíč 2012-09-12 11:59:13 EDT
Description of problem:
The License tag in the spec file of liblockfile currently contains just GPLv2+, and the liblockfile.so dynamic library is distributed under the terms of LGPLv2+.
  
Actual results:
liblockfile.spec contains:
License: GPLv2+

Expected results:
According to Fedora licensing guidelines, the spec file should contain:
License: GPLv2+ and LGPLv2+



According to Fedora licensing guidelines, the full text of licenses should be included in the upstream package.  I have already contacted the upstream developer with this issue.
Comment 1 Matthias Runge 2012-09-14 05:04:51 EDT
Thank you for this report, you are right!

I'll push an update in a few minutes.
Comment 2 Fedora Update System 2012-09-14 05:28:12 EDT
liblockfile-1.08-14.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/liblockfile-1.08-14.fc18
Comment 3 Fedora Update System 2012-09-14 05:37:52 EDT
liblockfile-1.08-14.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/liblockfile-1.08-14.fc17
Comment 4 Fedora Update System 2012-09-16 13:11:49 EDT
Package liblockfile-1.08-14.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing liblockfile-1.08-14.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13964/liblockfile-1.08-14.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-09-20 16:40:28 EDT
liblockfile-1.08-14.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.